Reporting
Get the French e-reporting registration
Returns the company's French e-reporting registration, or null when the company has not been registered yet.
GET
Returns the company's French e-reporting registration, or null when the company has not been registered yet. Reports can be submitted once the state is registered.
AuthorizationBasic <token>
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Path Parameters
companyId*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/string/reporting/fr/declarant"{ "success": true, "declarant": { "environment": "PROD", "siren": "123456789", "issuerName": "string", "vatRegime": "REEL_NORMAL_MENSUEL", "vatExigibility": "ENCAISSEMENTS", "enabled": true, "state": "pending", "simulated": true, "lastError": "string", "registeredAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Generate Document POST
Generate the XML document that would be written for the given payload, without sending or storing it.
Register a company for French e-reporting PUT
Registers the company as a declarant for French e-reporting, so its B2C and cross-border reports can be filed with the French tax administration on its...